package me.sergiotarxz.bedrockstation;

import android.os.Bundle;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import android.widget.LinearLayout;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.view.View;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.Gravity;
import android.database.sqlite.SQLiteDatabase;
import android.view.ViewGroup.LayoutParams;
import android.content.Intent;
import me.sergiotarxz.bedrockstation.ProxyService;
import me.sergiotarxz.bedrockstation.Options;
import me.sergiotarxz.bedrockstation.DB;
import android.widget.Toast;
import androidx.activity.result.contract.ActivityResultContracts.RequestPermission;
import androidx.activity.result.ActivityResultLauncher;
import android.app.NotificationManager;
import android.content.ServiceConnection;
import android.content.Context;
import android.content.ComponentName;
import android.os.IBinder;
import android.util.TypedValue;
import java.util.List;
import me.sergiotarxz.bedrockstation.Servers;
import me.sergiotarxz.bedrockstation.Server;
import android.app.AlertDialog;
import android.content.DialogInterface;
import me.sergiotarxz.bedrockstation.Premium;
import java.util.Timer;
import java.util.TimerTask;
import android.os.Handler;
import android.os.Message;

public class CountDownStartProxy extends AppCompatActivity {
    static int SECONDS = 60;
    int seconds = SECONDS;
    TextView secondsToWaitTextView;
    Timer timer;
    int messageNumber = 0;
    static AppCompatActivity activity;
    private volatile int clicks;
    @Override
    protected void onStop() {
        super.onStop();
        timer.cancel();
    }

    Runnable onSecondPass = new Runnable() {
        @Override
        public void run() {
            seconds--;
            if (seconds < 0) {
                Intent intent = new Intent(CountDownStartProxy.this, ProxyService.class);
                CountDownStartProxy.this.startForegroundService(intent);
                timer.cancel();
                onBackPressed();
                return;
            }
            secondsToWaitTextView.setText(seconds+"");
        }
    };
    @Override
    protected void onStart() {
        super.onStart();
        clicks = 0;
        seconds = SECONDS;
        timer = new Timer();
        timer.scheduleAtFixedRate(new TimerTask() {
                public void run() {
                    finishTimerHandler.post(onSecondPass);
                }
            }, 1000, 1000
        );
    }

    private final Handler finishTimerHandler = new Handler();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        activity = this;
        LinearLayout layout = new LinearLayout(this);
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(
            LayoutParams.MATCH_PARENT,
            LayoutParams.MATCH_PARENT);
        layout.setLayoutParams(layoutParams);
        layoutParams.setMargins(100, 100, 100, 100);
        layout.setOrientation(LinearLayout.VERTICAL);
        TextView explain = new TextView(this);
        explain.setText("You must wait before starting the Bedrock Proxy or update to premium");
        secondsToWaitTextView = new TextView(this);
        secondsToWaitTextView.setText(seconds + "");
        secondsToWaitTextView.setGravity(Gravity.CENTER_HORIZONTAL);
        secondsToWaitTextView.setTextSize(TypedValue.COMPLEX_UNIT_PX, 70);

        TextView offer = new TextView(this);
        offer.setText("People say time go faster if you are doing something.\n"
            + "Maybe you could try pressing this button");
        Button fasterTime = new Button(this);
        clicks = 0;
        fasterTime.setOnClickListener( (View view) -> {
            clicks++;
            if (clicks % 2 == 0) {
                finishTimerHandler.post(onSecondPass);
            }
        });
        layout.addView(explain);
        layout.addView(secondsToWaitTextView);
        layout.addView(offer);
        layout.addView(fasterTime);
    setContentView(layout);
    }
}
