package me.sergiotarxz.bedrockstation;

import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.content.Context;

public class DB extends SQLiteOpenHelper {
    public static final String DATABASE_NAME = "bedrockstation.sqlite3";
        
    public static final String[] MIGRATIONS = {
       "CREATE TABLE options (\n"
       + "id INTEGER PRIMARY KEY,\n"
       + "key TEXT UNIQUE,\n"
       + "value TEXT\n"
       + ");",
       "INSERT OR IGNORE INTO options(key, value) VALUES(\"host_cache\", \"192.168.2.1\");",
       "INSERT OR IGNORE INTO options(key, value) VALUES(\"port_cache\", \"19132\");",
       "CREATE TABLE servers (\n"
       + "id INTEGER PRIMARY KEY,\n"
       + "title TEXT NOT NULL,\n"
       + "host TEXT NOT NULL,\n"
       + "port INTEGER NOT NULL\n"
       + ");",

    };

    public DB(Context context) {
        super(context, DATABASE_NAME, null, MIGRATIONS.length);
    }

    private SQLiteDatabase db = null;

    public SQLiteDatabase getInstance() {
        if (db == null) {
            db = this.getWritableDatabase();
        }
        return db;
    }

    public void onCreate(SQLiteDatabase db) {
        onUpgrade(db, 0, MIGRATIONS.length);
    }

    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        if (oldVersion > newVersion) {
            throw new RuntimeException("Downgrade of DB not supported");
        }
        for (int i = oldVersion; i < newVersion; i++) {
            db.execSQL(MIGRATIONS[i]); 
        }
    }

    public void onDowngrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        throw new RuntimeException("Downgrade of DB not supported");
    }
}
