package me.sergiotarxz.bedrockstation;

import me.sergiotarxz.bedrockstation.DBContract;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.content.ContentValues;

public class Options {
    public static final String PORT_CACHE = "port_cache";
    public static final String HOST_CACHE = "host_cache";
    public static final String PORT_SELECTED = "port_selected";
    public static final String HOST_SELECTED = "host_selected";

    private SQLiteDatabase db = null;
    public Options(SQLiteDatabase db) {
        this.db = db;
    }

    public String set(String key, String value) {
        ContentValues contentValues = new ContentValues();
        contentValues.put(DBContract.Options.COLUMN_NAME_KEY, key);
        contentValues.put(DBContract.Options.COLUMN_NAME_VALUE, value);
        db.replace(DBContract.Options.TABLE_NAME, null, contentValues);
        return value;
    }

    public String get(String key) {
        String[] projection = {
            DBContract.Options.COLUMN_NAME_VALUE
        };
        String selection = DBContract.Options.COLUMN_NAME_KEY + " = ?";
        String[] selectionArgs = { key };
        Cursor cursor = db.query(
            DBContract.Options.TABLE_NAME,
            projection,
            selection,
            selectionArgs,
            null,
            null,
            ""
        );
        if (!cursor.moveToNext()) {
            return "";
        }
        String result = cursor.getString(
            cursor.getColumnIndexOrThrow(
                DBContract.Options.COLUMN_NAME_VALUE
            )
        );
        cursor.close();
        return result;
    }
}
